MORTextInternal::State Struct Reference

Internal: the state of a MORText. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
std::vector< Topic > | m_topicList
| the topic list More...
std::vector< Comment > | m_commentList
| the header/footer/comment list More...
std::vector< MWAWEntry > | m_speakerList
| the speaker note list More...
std::vector< Outline > | m_outlineList
| the outline list More...
int | m_actualComment
| the actual comment More...
int | m_actualSpeaker
| the actual speaker note More...
int | m_actualOutline
| the actual outline More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a MORText.

## Constructor & Destructor Documentation

MORTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int MORTextInternal::State::m_actualComment

the actual comment

int MORTextInternal::State::m_actualOutline

the actual outline

int MORTextInternal::State::m_actualPage

int MORTextInternal::State::m_actualSpeaker

the actual speaker note

std::vector<Comment> MORTextInternal::State::m_commentList

the header/footer/comment list

int MORTextInternal::State::m_numPages

std::vector<Outline> MORTextInternal::State::m_outlineList

the outline list

std::vector<MWAWEntry> MORTextInternal::State::m_speakerList

the speaker note list

std::vector<Topic> MORTextInternal::State::m_topicList

the topic list

int MORTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- MORText.cxx